#ifndef DAPADDNODECOMMAND_H
#define DAPADDNODECOMMAND_H

#include <QObject>
#include <QProcess>
#include <QString>
#include <QTextCodec>
#include <QCoreApplication>
#include <QFile>
#include <QProcess>
#include <QTimer>

#include "DapAbstractCommand.h"

class DapAddNodeCommand : public DapAbstractCommand
{
public:
    explicit DapAddNodeCommand(const QString &asServicename, QObject *parent = nullptr, const QString &asCliPath = QString());

public slots:
    /// Send a response to the client.
    /// @details Performed on the service side.
    /// @param arg1...arg10 Parameters.
    /// @return Reply to client.
    QVariant respondToClient(const QVariant &args = QVariant()) override;

};

#endif // DAPADDNODECOMMAND_H
