#ifndef DAPGETSERVICELIMITSCOMMAND_H
#define DAPGETSERVICELIMITSCOMMAND_H

#include <QObject>
#include <QProcess>
#include <QString>
#include <QTextCodec>
#include <QCoreApplication>
#include <QFile>
#include <QProcess>
#include <QTimer>
#include <QRegularExpression>

#include "DapAbstractCommand.h"

class DapGetServiceLimitsCommand : public DapAbstractCommand
{
public:
    explicit DapGetServiceLimitsCommand(const QString &asServicename, QObject *parent = nullptr, const QString &asCliPath = QString());

public slots:
    /// Send a response to the client.
    /// @details Performed on the service side.
    /// @param arg1...arg10 Parameters.
    /// @return Reply to client.
    QVariant respondToClient(const QVariant &args = QVariant()) override;

};

#endif // DAPGETSERVICELIMITSCOMMAND_H
