#pragma once

#include "DapAbstractCommand.h"

class DapOrderCreateStakerCommand : public DapAbstractCommand
{
public:
    explicit DapOrderCreateStakerCommand(const QString &asServicename, QObject *parent = nullptr, const QString &asCliPath = QString());

public slots:
    QVariant respondToClient(const QVariant &args = QVariant()) override;

private:
    const QString SUCCESS = "success";
    const QString MESSAGE = "message";
    const QString HASH = "tx_hash";
    const QString HASH_ORDER = "order_hash";
};
