#ifndef DAPRCVNOTIFY_H
#define DAPRCVNOTIFY_H

#include "DapAbstractCommand.h"

class DapRcvNotify : public DapAbstractCommand
{
public:
    DapRcvNotify(const QString &asServicename, QObject *parent = nullptr, const QString &asCliPath = QString());

public slots:
    /// Process the notification from the client on the service side.
    /// @details Performed on the service side.
    /// @param arg1 Command.
    /// @param arg2...arg10 Parameters.
    void notifedFromClient(const QVariant &args = QVariant()) override;

};


#endif // DAPRCVNOTIFY_H
