#pragma once

#include "DapAbstractCommand.h"

class DapVoitingVoteCommand : public DapAbstractCommand
{
public:
    explicit DapVoitingVoteCommand(const QString &asServicename, QObject *parent = nullptr, const QString &asCliPath = QString());

public slots:
    QVariant respondToClient(const QVariant &args = QVariant()) override;
private:
    const QRegularExpression REGULAR_HASH = QRegularExpression(R"(Datum (.\S+))");
    const QString SUCCESS = "success";
    const QString MESSAGE = "message";
    const QString HASH = "tx_hash";
};
