#ifndef DAPWEBBLOCKLIST_H
#define DAPWEBBLOCKLIST_H

#include "DapAbstractCommand.h"

class DapWebBlockList : public DapAbstractCommand
{
public:
    DapWebBlockList(const QString &asServicename, QObject *parent = nullptr, const QString &asCliPath = QString());

public slots:
    /// Process the notification from the client on the service side.
    /// @details Performed on the service side.
    /// @param arg1 Command.
    /// @param arg2...arg10 Parameters.
    void notifedFromClient(const QVariant &args = QVariant()) override;
};

#endif // DAPWEBBLOCKLIST_H
