#pragma once
#include "../DapCreateTransactionCommand.h"
#include "DapCommandStackManager.h"

class DapCreateTransactionCommandStack : public DapCreateTransactionCommand
{
public:
    DapCreateTransactionCommandStack(const QString &asServicename, QObject *parent = nullptr, const QString &asCliPath = QString());
    ~DapCreateTransactionCommandStack();
public slots:
    QVariant respondToClient(const QVariant &args = QVariant()) override;
private:
    DapCommandStackManager* m_commandManager = nullptr;
};

