 QT += core

INCLUDEPATH += $$PWD $$PWD/../ \
    $$PWD/models

#include (../../../cellframe-node/cellframe-sdk/modules/common/common.pri)
include (dapRPCProtocol/DapRPCProtocol.pri)
include (DapConfigManager/DapConfigManager.pri)

win32{
    QMAKE_CXXFLAGS +=  -mno-ms-bitfields
}

HEADERS += \
    $$PWD/CellframeNodeConfig.h \
    $$PWD/DapChainConvertor.h \
    $$PWD/DapFont.h \
    $$PWD/DapHistoryType.h \
    $$PWD/DapLogMessage.h \
    $$PWD/DapNetwork.h \
    $$PWD/DapNetworkStr.h \
    $$PWD/DapNodeType.h \
    $$PWD/DapToken.h \
    $$PWD/DapTransaction.h \
    $$PWD/DapTokenValue.h \
    $$PWD/DapVpnOrder.h \
    $$PWD/DapWallet.h \
    $$PWD/DapWalletHistoryEvent.h \
    $$PWD/DapWalletToken.h \
    $$PWD/VpnOrder.h \
    $$PWD/RequestController/DapRegularRequestsController.h \
    $$PWD/autocomplete/HelpDictionaryServiceController.h \
    $$PWD/autocomplete/HelpDictionaryController.h \
    $$PWD/handlers/DapAddNodeCommand.h \
    $$PWD/handlers/DapCreateOrderValidatorCommand.h \
    $$PWD/handlers/DapGetListKeysCommand.h \
    $$PWD/handlers/DapGetNodeIPCommand.h \
    $$PWD/handlers/DapGetNodeStatus.h \
    $$PWD/handlers/DapGetListOrdersCommand.h \
    $$PWD/handlers/DapGetServiceLimitsCommand.h \
    $$PWD/handlers/DapLedgerTxHashCommand.h \
    $$PWD/handlers/DapNetIdCommand.h \
    $$PWD/handlers/DapMoveWalletCommand.h \
    $$PWD/handlers/DapNodeDumpCommand.h \
    $$PWD/handlers/DapNodeListCommand.h \
    $$PWD/handlers/DapOrderCreateStakerCommand.h \
    $$PWD/handlers/DapRcvNotify.h \
    $$PWD/handlers/DapSrvStakeDelegateCommand.h \
    $$PWD/handlers/DapTransactionsInfoQueueCommand.h \
    $$PWD/handlers/DapVoitingCreateCommand.h \
    $$PWD/handlers/DapVoitingVoteCommand.h \
    $$PWD/handlers/DapVoitingListCommand.h \
    $$PWD/handlers/DapVoitingDumpCommand.h \
    $$PWD/handlers/stackCommand/DapCommandStackManager.h \
    $$PWD/handlers/stackCommand/DapCreateTransactionCommandStack.h \
    $$PWD/handlers/stackCommand/DapOrderCreateStakerCommandStack.h \
    $$PWD/handlers/stackCommand/DapSrvStakeDelegateCommandStack.h \
    $$PWD/handlers/stackCommand/DapSrvStakeInvalidateStack.h \
    $$PWD/handlers/stackCommand/DapXchangeOrderCreateStack.h \
    $$PWD/handlers/stackCommand/DapXchangeOrderPurchaseStack.h \
    $$PWD/handlers/stackCommand/DapXchangeOrderRemoveStack.h \
    $$PWD/handlers/stackCommand/DapTXCondCreateCommandStack.h \
    $$PWD/handlers/stackCommand/DapStakeLockHoldCommandStack.h \
    $$PWD/handlers/stackCommand/DapStakeLockTakeCommandStack.h \
    $$PWD/handlers/stackCommand/DapCreateJsonTransactionCommandStack.h \
    $$PWD/handlers/stackCommand/DapVoitingCreateCommandStack.h \
    $$PWD/handlers/stackCommand/DapVoitingVoteCommandStack.h \
    $$PWD/TransactionQueue/DapTransactionQueueController.h \
    $$PWD/dapconfigreader.h \
    $$PWD/handlers/CertificateManager/DapCertificateCommands.h \
    $$PWD/handlers/CertificateManager/DapCertificateOperation.h \
    $$PWD/handlers/CertificateManager/DapCertificateType.h \
    $$PWD/handlers/CommandType.h \
    $$PWD/handlers/DapAbstractCommand.h \
    $$PWD/handlers/DapActivateClientCommand.h \
    $$PWD/handlers/DapAddWalletCommand.h \
    $$PWD/handlers/DapCheckQueueTransactionCommand.h \
    $$PWD/handlers/DapCommandList.h \
    $$PWD/handlers/DapCreatePassForWallet.h \
    $$PWD/handlers/DapCertificateManagerCommands.h \
    $$PWD/handlers/DapCreateStakeOrder.h \
    $$PWD/handlers/DapCreateTransactionCommand.h \
    $$PWD/handlers/DapGetAllWalletHistoryCommandBase.h \
    $$PWD/handlers/DapGetOnceWalletInfoCommand.h \
    $$PWD/handlers/DapCreateVPNOrder.h \
    $$PWD/handlers/DapDictionaryCommand.h \
    $$PWD/handlers/DapServiceInitCommand.h \
    $$PWD/handlers/DapExportLogCommand.h \
    $$PWD/handlers/DapGetAllWalletHistoryCommand.h \
    $$PWD/handlers/DapGetFeeCommand.h \
    $$PWD/handlers/DapGetHistoryExecutedCmdCommand.h \
    $$PWD/handlers/DapGetListNetworksCommand.h \
    $$PWD/handlers/DapGetListTokensCommand.h \
    $$PWD/handlers/DapGetListWalletsCommand.h \
    $$PWD/handlers/DapGetNetworkStatusCommand.h \
    $$PWD/handlers/DapGetNetworksStateCommand.h \
    $$PWD/handlers/DapGetWalletsInfoCommand.h \
    $$PWD/handlers/DapGetWalletAddressesCommand.h \
    $$PWD/handlers/DapGetWalletInfoCommand.h \
    $$PWD/handlers/DapGetWalletTokenInfoCommand.h \
    $$PWD/handlers/DapGetXchangeOrdersList.h \
    $$PWD/handlers/DapGetXchangeTokenPair.h \
    $$PWD/handlers/DapGetXchangeTokenPriceAverage.h \
    $$PWD/handlers/DapGetXchangeTokenPriceHistory.h \
    $$PWD/handlers/DapGetXchangeTxList.h \
    $$PWD/handlers/DapMempoolListCommand.h \
    $$PWD/handlers/DapMempoolProcessCommand.h \
    $$PWD/handlers/DapNetworkGoToCommand.h \
    $$PWD/handlers/DapNetworkSingleSyncCommand.h \
    $$PWD/handlers/DapNodeConfigController.h \
    $$PWD/handlers/DapNodeRestart.h \
    $$PWD/handlers/DapQuitApplicationCommand.h \
    $$PWD/handlers/DapRemoveChainsOrGdbCommand.h \
    $$PWD/handlers/DapRemoveWalletCommand.h \
    $$PWD/handlers/DapRunCmdCommand.h \
    $$PWD/handlers/DapSaveHistoryExecutedCmdCommand.h \
    $$PWD/handlers/DapTokenDeclCommand.h \
    $$PWD/handlers/DapTXCondCreateCommand.h \
    $$PWD/handlers/DapTokenEmissionCommand.h \
    $$PWD/handlers/DapTransactionListCommand.h \
    $$PWD/handlers/DapUpdateLogsCommand.h \
    $$PWD/handlers/DapVersionController.h \
    $$PWD/handlers/DapWalletActivateOrDeactivateCommand.h \
    $$PWD/handlers/DapWebBlockList.h \
    $$PWD/handlers/DapWebConnectRequest.h \
    $$PWD/handlers/DapXchangeOrderCreate.h \
    $$PWD/handlers/DapXchangeOrderPurchase.h \
    $$PWD/handlers/DapXchangeOrderRemove.h \
    $$PWD/handlers/MempoolCheckCommand.h \
    $$PWD/handlers/DapStakeLockHoldCommand.h \
    $$PWD/handlers/DapStakeLockTakeCommand.h \
    $$PWD/handlers/DapRemoveTransactionsQueueCommand.h \
    $$PWD/handlers/DapCheckTransactionsQueueCommand.h \
    $$PWD/handlers/DapSrvStakeRemove.h \
    $$PWD/handlers/DapNodeDel.h \
    $$PWD/handlers/DapSrvStakeInvalidate.h \
    $$PWD/autocomplete/TreeDictionaryBase.h \
    $$PWD/models/DapBalanceModel.h \
    $$PWD/models/DapNetworksModel.h \
    $$PWD/models/DapTransactionsProxyModel.h \
    $$PWD/models/DapTransactionsModel.h \
    $$PWD/models/DapVpnOrdersModel.h \
    $$PWD/models/DapWalletBalanceModel.h \
    $$PWD/models/DapWalletModel.h \
    $$PWD/models/VpnOrdersModel.h \
    $$PWD/models/DapCreateJsonTransactionCommand.h \
    $$PWD/serviceClient/DapServiceClient.h \
    $$PWD/serviceClient/DapServiceClientNativeAbstract.h \
    $$PWD/DapErrors.h \
    $$PWD/DapNetworksList.h \
    $$PWD/DapHelper.h \
    $$PWD/DapSettings.h

SOURCES += \
    $$PWD/CellframeNodeConfig.cpp \
    $$PWD/DapChainConvertor.cpp \
    $$PWD/DapFont.cpp \
    $$PWD/DapHistoryType.cpp \
    $$PWD/DapLogMessage.cpp \
    $$PWD/DapNetwork.cpp \
    $$PWD/DapNetworkStr.cpp \
    $$PWD/DapToken.cpp \
    $$PWD/DapTransaction.cpp \
    $$PWD/DapTokenValue.cpp \
    $$PWD/DapVpnOrder.cpp \
    $$PWD/DapWallet.cpp \
    $$PWD/DapWalletHistoryEvent.cpp \
    $$PWD/DapWalletToken.cpp \
    $$PWD/VpnOrder.cpp \
    $$PWD/RequestController/DapRegularRequestsController.cpp \
    $$PWD/autocomplete/HelpDictionaryServiceController.cpp \
    $$PWD/autocomplete/HelpDictionaryController.cpp \
    $$PWD/handlers/DapAddNodeCommand.cpp \
    $$PWD/handlers/DapCreateOrderValidatorCommand.cpp \
    $$PWD/handlers/DapGetListKeysCommand.cpp \
    $$PWD/handlers/DapGetNodeIPCommand.cpp \
    $$PWD/handlers/DapGetNodeStatus.cpp \
    $$PWD/handlers/DapGetListOrdersCommand.cpp \
    $$PWD/handlers/DapGetServiceLimitsCommand.cpp \
    $$PWD/handlers/DapLedgerTxHashCommand.cpp \
    $$PWD/handlers/DapNetIdCommand.cpp \
    $$PWD/handlers/DapMoveWalletCommand.cpp \
    $$PWD/handlers/DapNodeDumpCommand.cpp \
    $$PWD/handlers/DapNodeListCommand.cpp \
    $$PWD/handlers/DapOrderCreateStakerCommand.cpp \
    $$PWD/handlers/DapRcvNotify.cpp \
    $$PWD/handlers/DapSrvStakeDelegateCommand.cpp \
    $$PWD/handlers/DapTransactionsInfoQueueCommand.cpp \
    $$PWD/handlers/DapVoitingCreateCommand.cpp \
    $$PWD/handlers/DapVoitingVoteCommand.cpp \
    $$PWD/handlers/DapVoitingListCommand.cpp \
    $$PWD/handlers/DapVoitingDumpCommand.cpp \
    $$PWD/handlers/stackCommand/DapCommandStackManager.cpp \
    $$PWD/handlers/stackCommand/DapCreateTransactionCommandStack.cpp \
    $$PWD/handlers/stackCommand/DapOrderCreateStakerCommandStack.cpp \
    $$PWD/handlers/stackCommand/DapSrvStakeDelegateCommandStack.cpp \
    $$PWD/handlers/stackCommand/DapSrvStakeInvalidateStack.cpp \
    $$PWD/handlers/stackCommand/DapXchangeOrderCreateStack.cpp \
    $$PWD/handlers/stackCommand/DapXchangeOrderPurchaseStack.cpp \
    $$PWD/handlers/stackCommand/DapXchangeOrderRemoveStack.cpp \
    $$PWD/handlers/stackCommand/DapTXCondCreateCommandStack.cpp \
    $$PWD/handlers/stackCommand/DapStakeLockHoldCommandStack.cpp \
    $$PWD/handlers/stackCommand/DapStakeLockTakeCommandStack.cpp \
    $$PWD/handlers/stackCommand/DapCreateJsonTransactionCommandStack.cpp \
    $$PWD/handlers/stackCommand/DapVoitingCreateCommandStack.cpp \
    $$PWD/handlers/stackCommand/DapVoitingVoteCommandStack.cpp \
    $$PWD/TransactionQueue/DapTransactionQueueController.cpp \
    $$PWD/dapconfigreader.cpp \
    $$PWD/handlers/CertificateManager/DapCertificateCommands.cpp \
    $$PWD/handlers/CertificateManager/DapCertificateOperation.cpp \
    $$PWD/handlers/DapAbstractCommand.cpp \
    $$PWD/handlers/DapActivateClientCommand.cpp \
    $$PWD/handlers/DapAddWalletCommand.cpp \
    $$PWD/handlers/DapCheckQueueTransactionCommand.cpp \
    $$PWD/handlers/DapCommandList.cpp \
    $$PWD/handlers/DapCreatePassForWallet.cpp \
    $$PWD/handlers/DapCertificateManagerCommands.cpp \
    $$PWD/handlers/DapCreateStakeOrder.cpp \
    $$PWD/handlers/DapCreateTransactionCommand.cpp \
    $$PWD/handlers/DapGetAllWalletHistoryCommandBase.cpp \
    $$PWD/handlers/DapGetOnceWalletInfoCommand.cpp \
    $$PWD/handlers/DapCreateVPNOrder.cpp \
    $$PWD/handlers/DapDictionaryCommand.cpp \
    $$PWD/handlers/DapServiceInitCommand.cpp \    
    $$PWD/handlers/DapExportLogCommand.cpp \
    $$PWD/handlers/DapGetAllWalletHistoryCommand.cpp \
    $$PWD/handlers/DapGetFeeCommand.cpp \
    $$PWD/handlers/DapGetHistoryExecutedCmdCommand.cpp \
    $$PWD/handlers/DapGetListNetworksCommand.cpp \
    $$PWD/handlers/DapGetListTokensCommand.cpp \
    $$PWD/handlers/DapGetListWalletsCommand.cpp \
    $$PWD/handlers/DapGetNetworkStatusCommand.cpp \
    $$PWD/handlers/DapGetNetworksStateCommand.cpp \
    $$PWD/handlers/DapGetWalletsInfoCommand.cpp \
    $$PWD/handlers/DapGetWalletAddressesCommand.cpp \
    $$PWD/handlers/DapGetWalletInfoCommand.cpp \
    $$PWD/handlers/DapGetWalletTokenInfoCommand.cpp \
    $$PWD/handlers/DapGetXchangeOrdersList.cpp \
    $$PWD/handlers/DapGetXchangeTokenPair.cpp \
    $$PWD/handlers/DapGetXchangeTokenPriceAverage.cpp \
    $$PWD/handlers/DapGetXchangeTokenPriceHistory.cpp \
    $$PWD/handlers/DapGetXchangeTxList.cpp \
    $$PWD/handlers/DapMempoolListCommand.cpp \
    $$PWD/handlers/DapMempoolProcessCommand.cpp \
    $$PWD/handlers/DapNetworkGoToCommand.cpp \
    $$PWD/handlers/DapNetworkSingleSyncCommand.cpp \
    $$PWD/handlers/DapNodeConfigController.cpp \
    $$PWD/handlers/DapNodeRestart.cpp \
    $$PWD/handlers/DapQuitApplicationCommand.cpp \
    $$PWD/handlers/DapRemoveChainsOrGdbCommand.cpp \
    $$PWD/handlers/DapRemoveWalletCommand.cpp \
    $$PWD/handlers/DapRunCmdCommand.cpp \
    $$PWD/handlers/DapSaveHistoryExecutedCmdCommand.cpp \
    $$PWD/handlers/DapTokenDeclCommand.cpp \
    $$PWD/handlers/DapTXCondCreateCommand.cpp \
    $$PWD/handlers/DapTokenEmissionCommand.cpp \
    $$PWD/handlers/DapTransactionListCommand.cpp \
    $$PWD/handlers/DapUpdateLogsCommand.cpp \
    $$PWD/handlers/DapVersionController.cpp \
    $$PWD/handlers/DapWalletActivateOrDeactivateCommand.cpp \
    $$PWD/handlers/DapWebBlockList.cpp \
    $$PWD/handlers/DapWebConnectRequest.cpp \
    $$PWD/handlers/DapXchangeOrderCreate.cpp \
    $$PWD/handlers/DapXchangeOrderPurchase.cpp \
    $$PWD/handlers/DapXchangeOrderRemove.cpp \
    $$PWD/handlers/MempoolCheckCommand.cpp \
    $$PWD/handlers/DapStakeLockHoldCommand.cpp \
    $$PWD/handlers/DapStakeLockTakeCommand.cpp \
    $$PWD/handlers/DapCreateJsonTransactionCommand.cpp \
    $$PWD/handlers/DapRemoveTransactionsQueueCommand.cpp \
    $$PWD/handlers/DapCheckTransactionsQueueCommand.cpp \
    $$PWD/handlers/DapSrvStakeRemove.cpp \
    $$PWD/handlers/DapNodeDel.cpp \
    $$PWD/handlers/DapSrvStakeInvalidate.cpp \
    $$PWD/autocomplete/TreeDictionaryBase.cpp \
    $$PWD/models/DapBalanceModel.cpp \
    $$PWD/models/DapNetworksModel.cpp \
    $$PWD/models/DapTransactionsProxyModel.cpp \
    $$PWD/models/DapTransactionsModel.cpp \
    $$PWD/models/DapVpnOrdersModel.cpp \
    $$PWD/models/DapWalletBalanceModel.cpp \
    $$PWD/models/DapWalletModel.cpp \
    $$PWD/models/VpnOrdersModel.cpp \
    $$PWD/serviceClient/DapServiceClient.cpp \
    $$PWD/serviceClient/DapServiceClientNativeAbstract.cpp \
    $$PWD/DapErrors.cpp \
    $$PWD/DapNetworksList.cpp \
    $$PWD/DapHelper.cpp \
    $$PWD/DapSettings.cpp

unix: !mac{
    HEADERS += $$PWD/serviceClient/DapServiceClientNativeLinux.h
    SOURCES += $$PWD/serviceClient/DapServiceClientNativeLinux.cpp
}

mac {
    HEADERS += $$PWD/serviceClient/DapServiceClientNativeMacOS.h
    SOURCES += $$PWD/serviceClient/DapServiceClientNativeMacOS.cpp
}

win32 {
    HEADERS += $$PWD/serviceClient/DapServiceClientNativeWin.h
    SOURCES += $$PWD/serviceClient/DapServiceClientNativeWin.cpp
}
