#ifndef DAPCONFIGREADER_H
#define DAPCONFIGREADER_H

#include <QString>
#include <QDir>

#include "dap_config.h"

class DapConfigReader
{
public:
    DapConfigReader();

    bool getItemBool(const char * a_section_path, const char * a_item_name, bool a_default);
    QString getItemString(const char * a_section_path, const char * a_item_name,  const char * a_default);
    int getItemInt(const char * a_section_path, const char * a_item_name, int a_default);

    bool getConfigStatus();
    QString getConfigPath();
private:
    dap_config_t * config;
    bool status{false};
};

#endif // DAPCONFIGREADER_H
