#include "DapCheckTransactionsQueueCommand.h"
#include "TransactionQueue/DapTransactionQueueController.h"
/// Overloaded constructor.
/// @param asServiceName Service name.
/// @param apSocket Client connection socket with service.
/// @param parent Parent.
DapCheckTransactionsQueueCommand::DapCheckTransactionsQueueCommand(const QString &asServicename, QObject *parent, const QString &asCliPath)
    : DapAbstractCommand(asServicename, parent, asCliPath)
{

}

/// Send a response to the client.
/// A log file is saved from the GUI window.
/// @param arg1...arg10 Parameters.
/// @return Reply to client.
QVariant DapCheckTransactionsQueueCommand::respondToClient(const QVariant &args)
{
    DapAbstractCommand::respondToClient(args);
    DapTransactionQueueController* controller = DapTransactionQueueController::getTransactionController();
    return controller->isTtransactioninQueued(args);
}

