#ifndef DAPCREATESTAKEORDER_H
#define DAPCREATESTAKEORDER_H

#include <QProcess>
#include <QString>

#include "DapAbstractCommand.h"

class DapCreateStakeOrder : public DapAbstractCommand
{
public:
    explicit DapCreateStakeOrder(const QString &asServicename, QObject *parent = nullptr, const QString &asCliPath = QString());

public slots:
    QVariant respondToClient(const QVariant &args = QVariant()) override;

    void replyFromService() override;
private:
    const QString ERRORS_KEY = "errors";
    const QString STUTUS_KEY = "status";
    const QString ORDER_HASH_KEY = "order_hash";

    const QString SUCCESS_KEY = "success";
    const QString MESSAGE_KEY = "message";
    const QString TX_HASH = "tx_hash";
};

#endif // DAPCREATESTAKEORDER_H
