#ifndef DAPNODECONFIGCONTROLLER_H
#define DAPNODECONFIGCONTROLLER_H

#include "DapAbstractCommand.h"
#include <QProcess>

class DapNodeConfigController : public DapAbstractCommand
{
public:
    DapNodeConfigController(const QString &asServicename, QObject *parent = nullptr, const QString &asCliPath = QString());

public slots:
    QVariant respondToClient(const QVariant &args = QVariant()) override;
    /// Reply from service.
    /// @details Performed on the service side.
    /// @return Service reply.
    void replyFromService() override;

signals:
    void changeConfig(/*QVariant arg, QString path*/);
};

#endif // DAPNODECONFIGCONTROLLER_H
