#ifndef DAPNODERESTART_H
#define DAPNODERESTART_H

#include "DapAbstractCommand.h"
#include <QProcess>

class DapNodeRestart : public DapAbstractCommand
{
public:
    DapNodeRestart(const QString &asServicename, QObject *parent = nullptr, const QString &asCliPath = QString());

public slots:
    QVariant respondToClient(const QVariant &args = QVariant()) override;
    /// Reply from service.
    /// @details Performed on the service side.
    /// @return Service reply.
    void replyFromService() override;
};

#endif // DAPNODERESTART_H
