#pragma once

#include "DapAbstractCommand.h"

class DapServiceInitCommand : public DapAbstractCommand
{
public:
    DapServiceInitCommand(const QString &asServicename, QObject *parent = nullptr, const QString &asCliPath = QString());

public slots:
    void notifedFromService(const QVariant &args = QVariant()) override;
    void notifedFromClient(const QVariant &args = QVariant()) override;
    void notifyToClient(const QVariant &args = QVariant()) override;
};

