#pragma once

#include "DapAbstractCommand.h"

class DapVoitingCreateCommand : public DapAbstractCommand
{
public:
    explicit DapVoitingCreateCommand(const QString &asServicename, QObject *parent = nullptr, const QString &asCliPath = QString());

public slots:
    QVariant respondToClient(const QVariant &args = QVariant()) override;

private:
    const QRegularExpression REGULAR_HASH = QRegularExpression(R"(successfully: (.\S+))");
    const QString SUCCESS = "success";
    const QString MESSAGE = "message";
    const QString HASH = "tx_hash";
};
