#pragma once

#include "DapAbstractCommand.h"
#include <QRegularExpression>

class DapVoitingListCommand : public DapAbstractCommand
{
public:
    explicit DapVoitingListCommand(const QString &asServicename, QObject *parent = nullptr, const QString &asCliPath = QString());

public slots:
    QVariant respondToClient(const QVariant &args = QVariant()) override;

private:
    const QRegularExpression REGULAR_HASH = QRegularExpression(R"(Voting hash: (.\S+))");
};
